﻿// Accord Core Library
// The Accord.NET Framework
// http://accord-framework.net
//
// Copyright © César Souza, 2009-2014
// cesarsouza at gmail.com
//
//    This library is free software; you can redistribute it and/or
//    modify it under the terms of the GNU Lesser General Public
//    License as published by the Free Software Foundation; either
//    version 2.1 of the License, or (at your option) any later version.
//
//    This library is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//    Lesser General Public License for more details.
//
//    You should have received a copy of the GNU Lesser General Public
//    License along with this library; if not, write to the Free Software
//    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
//

namespace Accord.Controls
{
    using System.Runtime.CompilerServices;
    using System.Windows.Forms;
    using Accord.Controls;
   
    /// <summary>
    ///   Contains useful Windows Forms controls to help creating scientific applications.
    ///   Includes histograms, scatterplots, wavecharts and tabular data viewers for windows
    ///   forms applications.
    /// </summary>
    /// 
    /// <remarks>
    /// <para>
    ///   Useful controls offered in this namespace are the <see cref="DataGridBox"/>,
    ///   <see cref="DataSeriesBox"/> and <see cref="ScatterplotBox"/> controls. Those
    ///   controls can be used to create <see cref="MessageBox"/>-like user dialogs
    ///   presenting data to the user. If the <c>Controls.Audio</c> assembly is also 
    ///   loaded, it is also possible to use the same controls to show <see cref="WavechartBox">
    ///   wavecharts</see> for <see cref="Accord.Audio.Signal">audio signals</see>.</para>
    /// 
    /// <para>
    ///   Other very useful feature is the <see cref="ArrayDataView"/> class, which enables
    ///   any array, multi-dimensional matrices or jagged-matrices to be data-bounded inside
    ///   a <see cref="DataGridView"/> and other similar controls. </para>
    ///   
    /// <para>
    ///   The namespace class diagram is shown below. </para>
    ///   <img src="..\diagrams\classes\Accord.Controls.png" />
    ///   
    /// </remarks>
    /// 
    /// <seealso cref="Accord.Controls.Vision"/>
    /// 
    [CompilerGenerated]
    class NamespaceDoc
    {
    }
}
